aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ncmpcpp
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-11-02 10:08:47 +0100
committerSören Tempel <soeren+git@soeren-tempel.net>2016-11-02 11:30:00 +0100
commit636265d8d49057b4bf5f9de29633d58c692f780d (patch)
tree8de0c603616e7d14e8eaf54b438a9e8e2aaad018 /testing/ncmpcpp
parent38405eb162f6827bfd4a8fe4e151529f67ab2b5c (diff)
downloadaports-636265d8d49057b4bf5f9de29633d58c692f780d.tar.gz
aports-636265d8d49057b4bf5f9de29633d58c692f780d.tar.bz2
aports-636265d8d49057b4bf5f9de29633d58c692f780d.tar.xz
testing/ncmpcpp: upgrade to 0.7.7
Diffstat (limited to 'testing/ncmpcpp')
-rw-r--r--testing/ncmpcpp/APKBUILD50
1 files changed, 25 insertions, 25 deletions
diff --git a/testing/ncmpcpp/APKBUILD b/testing/ncmpcpp/APKBUILD
index c184556da8..09c8e5d28f 100644
--- a/testing/ncmpcpp/APKBUILD
+++ b/testing/ncmpcpp/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Maintainer: Matthieu Monnier <matthieu.monnier@enalean.com>
pkgname=ncmpcpp
-pkgver=0.7.5
-pkgrel=3
+pkgver=0.7.7
+pkgrel=0
pkgdesc="An almost exact clone of ncmpc with some new features."
url="http://rybczak.net/ncmpcpp"
arch="all"
@@ -10,36 +10,36 @@ license="GPL2+"
depends=""
depends_dev=""
makedepends="boost-dev readline-dev curl-dev libmpdclient-dev
- taglib-dev ncurses-dev libressl-dev"
+ taglib-dev ncurses-dev libressl-dev"
install=""
subpackages="$pkgname-doc"
source="http://rybczak.net/ncmpcpp/stable/$pkgname-$pkgver.tar.bz2"
-_builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir"/$pkgname-$pkgver
build () {
- cd "$srcdir/$pkgname-$pkgver"
- ./configure \
- BOOST_LIB_SUFFIX=-mt \
- --build=$CBUILD \
- --host=$CHOST \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --localstatedir=/var \
- --disable-unicode \
- --enable-clock \
- --with-taglib \
- --with-curl \
- || return 1
- make || return 1
+ cd "$builddir"
+ ./configure \
+ BOOST_LIB_SUFFIX=-mt \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-unicode \
+ --enable-clock \
+ --with-taglib \
+ --with-curl \
+ || return 1
+ make || return 1
}
package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
}
-md5sums="2edae67445a925175e75c223edc95ce7 ncmpcpp-0.7.5.tar.bz2"
-sha256sums="7e4f643020b36698462879013a8b16111f8c3a4c5819cf186aed78032a41e07d ncmpcpp-0.7.5.tar.bz2"
-sha512sums="5f3b370a5a8fdc05e85a7b748debd960c0e76d5b9e43717efceaa985baa0c543d14d8b0fd7b09550111bff3aa66ec290d6cd2c0ec21de7a0caa10df1c68c99c8 ncmpcpp-0.7.5.tar.bz2"
+md5sums="8a44de577fcf8b7a7063d0c5bf47298f ncmpcpp-0.7.7.tar.bz2"
+sha256sums="b7bcbec83b1f88cc7b21f196b10be09a27b430566c59f402df170163464d01ef ncmpcpp-0.7.7.tar.bz2"
+sha512sums="a0bbe85f154c40513d41e85810de86ed21109b72fb0f2bdb0b78dcbddb3770aff5422b5bb7fbac2b76634c5b9aaf843bed5fc16fc672fcd71bbae911f65c0034 ncmpcpp-0.7.7.tar.bz2"